# Generated by Django 4.2.7 on 2024-01-30 00:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('MatriculasDSCP', '0003_rename_director_carrera_directorcarreradcp_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='Curso',
            fields=[
                ('idCursodcp', models.AutoField(primary_key=True, serialize=False)),
                ('nivelCursodcp', models.CharField(max_length=100)),
                ('descripcionCursodcp', models.TextField()),
                ('aulaCursodcp', models.CharField(max_length=50)),
                ('horarioCursodcp', models.CharField(blank=True, max_length=50, null=True)),
                ('tutorCursodcp', models.CharField(blank=True, max_length=100, null=True)),
                ('carrera', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='MatriculasDSCP.carrera')),
            ],
        ),
    ]
